Bug 1768640 - Review Request: mozjs68 - JavaScript interpreter and libraries
Summary: Review Request: mozjs68 - JavaScript interpreter and libraries
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-04 21:17 UTC by František Zatloukal
Modified: 2019-11-24 23:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-24 23:13:26 UTC
Type: Bug
klember: fedora-review+


Attachments (Terms of Use)

Description František Zatloukal 2019-11-04 21:17:35 UTC
SPEC: https://copr-be.cloud.fedoraproject.org/results/frantisekz/mozjs68/fedora-31-x86_64/01086017-mozjs68/mozjs68.spec
SRPM: https://copr-be.cloud.fedoraproject.org/results/frantisekz/mozjs68/fedora-31-x86_64/01086017-mozjs68/mozjs68-68.2.0-1.fc31.src.rpm

Description: 
SpiderMonkey is the code-name for Mozilla Firefox's C++ implementation of JavaScript. It is intended to be embedded in other applications that provide host environments for JavaScript.

It's based on mozjs60 package: https://src.fedoraproject.org/rpms/mozjs60

New GNOME Shell is going to require this: https://gitlab.gnome.org/GNOME/gjs/issues/270

Because of:
BuildRequires:  python2-devel
BuildRequires:  python2-six

It requires Python 2 Exception from FESCO, I'll submit FESCO ticket and post link here soon.

Comment 1 František Zatloukal 2019-11-04 21:29:47 UTC
FESCO Python 2 Exception request: https://pagure.io/fesco/issue/2264

Comment 3 Kalev Lember 2019-11-06 11:55:54 UTC
This looks good to me, thanks! Not doing a full review as this is essentially just an update for an existing package.

Parallel installability seems to be done correctly so nothing should conflict with existing mozjs52 and mozjs60 packages. Package naming is also correct for parallel installable packages.

APPROVED (but please wait for the fesco python2 use exception before requesting the repo and importing)

Comment 4 Gwyn Ciesla 2019-11-12 14:34:22 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mozjs68


Note You need to log in before you can comment on or make changes to this bug.